<?php
// ================ Add a Phone Number Field in Options And Save in DB =====================
add_action('admin_menu', 'wcb_register_option_field');
function wcb_register_option_field(): void
{
    $args = array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => NULL
    );
    register_setting('general', '_wcb_phone_number');

    add_settings_field(
        'wcb_phone_number',
        'شماره تماس واتس اپ',
        'wcb_option_layout',
        'general',
    );
}

function wcb_option_layout()
{
    ?>
    <p>شماره را به همراه کد کشور و بدون + و 0 وارد کنید.</p>
    <input
            type="tel"
            name="_wcb_phone_number"
            value="<?php echo esc_attr(get_option('_wcb_phone_number')) ?>"
    />
    <?php
}

