<?php
/*
Plugin Name: WhatsApp Chat Button
Plugin URI: https://day.ir/
Description: دکمه چت در واتس اپ
Author: Day Telecom
Version: 1.0.0
Licence: GPLv2 or Later
Author URI: https://day.ir/
*/

defined('ABSPATH') || exit;

define('WCB_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('WCB_PLUGIN_URL', plugin_dir_url(__FILE__));
// =============== Register Front-End Assets ========================
add_action('wp_enqueue_scripts', 'WCB_register_assets');
function WCB_register_assets()
{
    // Register CSS
    wp_register_style('WCB-style', WCB_PLUGIN_URL . 'assets/css/style.css', '', '1.0.0');
    wp_enqueue_style('WCB-style');
    wp_enqueue_style('bootstrap-icons', 'https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css', '', '1.11.0');
}
// ===================== Add The Button to Footer =====================
include_once WCB_PLUGIN_DIR . 'view/layout.php';
add_action('wp_footer', 'whatsapp_chat_button_layout');
// ===================== Add Phone Number Option =====================
include_once WCB_PLUGIN_DIR . '_inc/admin-option.php';